Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List applicable item prices for a plan-item price

Returns the set of all applicable addon-item prices for a specific plan-item price. This set consists of all the addon-item prices that can be applied to a subscription having the plan-item price. When determining this set, Chargebee considers the following:

Note

If an addon-item price has differential pricing defined against the parent item of the plan-item price, then the pricing information in the addon-item price object returned, reflects the differential pricing.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/item_prices/{item-price-id}/applicable_item_prices

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

item_id
optional, string, max chars=100

The id of the item that the item price belongs to.

sort_by[<sort-order>]
optional, object

optional, string filter

Sorts based on the specified attribute. Supported attributes : name, id, updated_at

Supported sort-orders : asc, desc

Example → sort_by[asc] = "name"

This will sort the result based on the 'name' attribute in ascending(earliest first) order.

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Item price object
Resource object representing item_price